aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Allen <slacker@slaphappygeeks.com>2010-05-12 23:28:53 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:53 +0200
commiteb015c75c650230bd8692f7b698cc5ffae730e0a (patch)
treed899c72ed7857a7336db1dcfd9ff4ce2c43f626a
parentd5df0379032cedc670816abb063b663062639015 (diff)
downloadslackbuilds-eb015c75c650230bd8692f7b698cc5ffae730e0a.tar.xz
development/saxonb: Added to 12.2 repository
-rw-r--r--development/saxonb/README6
-rw-r--r--development/saxonb/README.SLACKWARE53
-rw-r--r--development/saxonb/csh.profile2
-rw-r--r--development/saxonb/saxonb.SlackBuild75
-rw-r--r--development/saxonb/saxonb.info8
-rw-r--r--development/saxonb/saxonbq5
-rw-r--r--development/saxonb/saxonbt5
-rw-r--r--development/saxonb/sh.profile2
-rw-r--r--development/saxonb/slack-desc19
9 files changed, 175 insertions, 0 deletions
diff --git a/development/saxonb/README b/development/saxonb/README
new file mode 100644
index 000000000000..3f2fa7cfdaf4
--- /dev/null
+++ b/development/saxonb/README
@@ -0,0 +1,6 @@
+Saxonb-B is the open source version of Saxonica's Saxon-SA
+schema aware XSLT processor. Visit http://www.saxonica.com/
+for more information and complete documentation.
+
+See README.SLACKWARE (which is also installed with the package
+documentation) for setup and usage information.
diff --git a/development/saxonb/README.SLACKWARE b/development/saxonb/README.SLACKWARE
new file mode 100644
index 000000000000..5055a8f14b70
--- /dev/null
+++ b/development/saxonb/README.SLACKWARE
@@ -0,0 +1,53 @@
+Setting CLASSPATH
+=================
+
+SaxonB is a java application and as such the main jar file
+MUST be included in the $CLASSPATH environment variable.
+
+For most uses you should only add the path to the saxon9.jar file.
+However, if you need to use DOM, JDOM or other xml tree
+models, you may need to add some or all of the other jar file
+paths. The SaxonB jar files are found in /usr/lib/saxonb/, the
+online documentation below has additional information on this.
+
+To add the path from the command line for a single session:
+export CLASSPATH=$CLASSPATH:/usr/lib/saxonb/saxon9.jar
+This package installs scripts to /etc/profile.d/saxonb.{sh,csh}
+which should handle this correctly for you.
+
+
+Using XSLT Transforms
+=====================
+
+Because SaxonB is a java application it must be invoked using
+java syntax. See the usage documentation at...
+
+http://saxonica.com/documentation/using-xsl/intro.html
+
+The command line syntax is:
+
+java net.sf.saxon.Transform [options] -s:source -xsl:stylesheet -o:output [params]
+
+To make this easier, we have included a script /usr/bin/saxonbt which will
+perform the java invocation for you using the same syntax for options
+and filenames. For example...
+
+saxonbt [options] -s:source -xsl:stylesheet -o:output [params]
+
+Using XQuery
+=====================
+
+See the usage documentation at...
+
+http://saxonica.com/documentation/using-xquery/intro.html
+
+The command line syntax is:
+
+java net.sf.saxon.Query [options] -q:queryfile | -qs:querystring [params]
+
+To make this easier, we have included a script /usr/bin/saxonbq which will
+perform the java invocation for you using the same syntax for options
+and filenames. For example...
+
+saxonbq [options] -q:queryfile | -qs:querystring [params]
+
diff --git a/development/saxonb/csh.profile b/development/saxonb/csh.profile
new file mode 100644
index 000000000000..88a041aa66c7
--- /dev/null
+++ b/development/saxonb/csh.profile
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv CLASSPATH ${CLASSPATH}:/usr/lib/saxonb/saxon9.jar
diff --git a/development/saxonb/saxonb.SlackBuild b/development/saxonb/saxonb.SlackBuild
new file mode 100644
index 000000000000..b8a614a23a19
--- /dev/null
+++ b/development/saxonb/saxonb.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Copyright 2009 Robert Allen - slacker@slaphappygeeks.com
+# All rights reserved including Creator Endowed Unalienable Rights.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=saxonb
+VERSION=${VERSION:-9.1.0.5j}
+ARCH=i486
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Upstream source uses dashes for the VERSION string
+SRC_VERSION=$(echo $VERSION |tr '.' '-')
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip -d $PRGNAM-$VERSION $CWD/${PRGNAM}${SRC_VERSION}.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/bin
+cat $CWD/saxonbt > $PKG/usr/bin/saxonbt
+cat $CWD/saxonbq > $PKG/usr/bin/saxonbq
+chmod 0755 $PKG/usr/bin/*
+
+mkdir -p $PKG/usr/lib/$PRGNAM-$VERSION
+cp -a *.jar $PKG/usr/lib/$PRGNAM-$VERSION
+# Add convenience symlink
+( cd $PKG/usr/lib ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+# We'll install profile scripts, and they will *not* be config()'d
+mkdir -p $PKG/etc/profile.d
+cat $CWD/sh.profile > $PKG/etc/profile.d/saxonb.sh
+cat $CWD/csh.profile > $PKG/etc/profile.d/saxonb.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* notices/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/saxonb/saxonb.info b/development/saxonb/saxonb.info
new file mode 100644
index 000000000000..f717729dc635
--- /dev/null
+++ b/development/saxonb/saxonb.info
@@ -0,0 +1,8 @@
+PRGNAM="saxonb"
+VERSION="9.1.0.5j"
+HOMEPAGE="http://www.saxonica.com/products.html"
+DOWNLOAD="http://downloads.sourceforge.net/saxon/saxonb9-1-0-5j.zip"
+MD5SUM="898f4aa68a1c0a8c1bd5f9f723272443"
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slaphappygeeks.com"
+APPROVED="rworkman"
diff --git a/development/saxonb/saxonbq b/development/saxonb/saxonbq
new file mode 100644
index 000000000000..2a721c8ad53c
--- /dev/null
+++ b/development/saxonb/saxonbq
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Simple invocation of saxon-B java XQuery processor
+# The saxon9.jar must be in your CLASSPATH
+java net.sf.saxon.Query $*
+
diff --git a/development/saxonb/saxonbt b/development/saxonb/saxonbt
new file mode 100644
index 000000000000..c259ff46d9d0
--- /dev/null
+++ b/development/saxonb/saxonbt
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Simple invocation of saxon-B java XSLT transform processor
+# The saxon9.jar must be in your CLASSPATH
+java net.sf.saxon.Transform $*
+
diff --git a/development/saxonb/sh.profile b/development/saxonb/sh.profile
new file mode 100644
index 000000000000..4142a7d4bd5e
--- /dev/null
+++ b/development/saxonb/sh.profile
@@ -0,0 +1,2 @@
+#!/bin/sh
+export CLASSPATH="${CLASSPATH}:/usr/lib/saxonb/saxon9.jar"
diff --git a/development/saxonb/slack-desc b/development/saxonb/slack-desc
new file mode 100644
index 000000000000..6b520ae2b964
--- /dev/null
+++ b/development/saxonb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+saxonb: Saxon-B (Java XSLT Processor)
+saxonb:
+saxonb: Saxon-B is the free, open source version of the Saxon XSLT,
+saxonb: XQuery, and XML Schema processor, Saxon-SA
+saxonb:
+saxonb: Homepage: http://saxonica.com/products.html
+saxonb: Project: http://saxon.sourceforge.net/
+saxonb: Documentation: http://saxonica.com/documentation/index.html
+saxonb:
+saxonb: Package includes saxonbt and saxonbq invocation scripts.
+saxonb: Add /usr/lib/saxonb/saxon9.jar to your java CLASSPATH